Package org.apache.sysds.hops.recompile

## Enum Recompiler.ResetType

- java.lang.Object
- - java.lang.Enum<Recompiler.ResetType>
  - - org.apache.sysds.hops.recompile.Recompiler.ResetType

- All Implemented Interfaces:
    `Serializable`, `Comparable<Recompiler.ResetType>`
  Enclosing class:
    Recompiler

      public static enum Recompiler.ResetType
      extends Enum<Recompiler.ResetType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NO_RESET` |
    `RESET` |
    `RESET_KNOWN_DIMS` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isReset()` |
    `static Recompiler.ResetType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Recompiler.ResetType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESET

          public static final Recompiler.ResetType RESET

    - #### RESET_KNOWN_DIMS

          public static final Recompiler.ResetType RESET_KNOWN_DIMS

    - #### NO_RESET

          public static final Recompiler.ResetType NO_RESET

  - ### Method Detail

    - #### values

          public static Recompiler.ResetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Recompiler.ResetType c : Recompiler.ResetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Recompiler.ResetType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isReset

          public boolean isReset()